spring:
  application:
    name: tsi-sig-server
  datasource:
    mybatis:
      platform: mariadb
      driver-class-name: org.mariadb.jdbc.Driver
      username: cvim
      password: 44Klctest$$
      jpool-name: hikari-cp
      jmaximum-pool-size: 10
      jminimum-idle: 2
  mvc:
    view:
      prefix: /WEB-INF/jsp/
      suffix: .jsp

server:
  port: 8443
  shutdown: graceful
  error:
    whitelabel:
      enabled: true
    include-exception: false
    include-stacktrace: never
  servlet:
    session:
      timeout: 300

application:
  kafka:
    consumer:
      group-id: tsi-sig-server
      all-topic: cvim-raw
      #props:
      #  - request.timeout.ms: 100
      #  - max.block.ms: 100
      #  - transactional.id: tsi-navi-broker-01
      #  - acks: 0
      #  - retries: 0
      #  - linger.ms: 1

---
spring:
  profiles: wonju
  datasource:
    mybatis:
      jdbc-url: jdbc:mariadb://10.4.4.20:3307/cvim_db?characterEncoding=UTF-8&serverTimezone=UTC

application:
  kafka:
    consumer:
      bootstrap-servers: 123.142.27.53:9092,123.142.27.53:9093,123.142.27.53:9094
      #bootstrap-servers: 10.4.4.30:9092,10.4.4.31:9093,10.4.4.32:9094

---
spring:
  profiles: seoul
  datasource:
    mybatis:
      jdbc-url: jdbc:mariadb://10.4.4.20:3306/cvim_db?characterEncoding=UTF-8&serverTimezone=UTC

application:
  kafka:
    consumer:
      bootstrap-servers: 172.24.0.30:9092,172.24.0.31:9093,172.24.0.32:9094

---
spring:
  profiles: dev
  datasource:
    mybatis:
      jdbc-url: jdbc:mariadb://59.29.208.150:23307/cvim_db?characterEncoding=UTF-8&serverTimezone=UTC
      #jdbc-url: jdbc:mariadb://61.108.209.105:3306/cvim_db?characterEncoding=UTF-8&serverTimezone=UTC

application:
  kafka:
    consumer:
      bootstrap-servers: 123.142.27.53:9092,123.142.27.53:9093,123.142.27.53:9094
